Table of Contents

Class: id_manager | ../bkchem/id_manager.py
--- | ---
Methods |
--- | ---
__init__ generate_and_register_id generate_id get_id_of_object get_object_with_id | get_object_with_id_or_none is_registered_object register_id unregister_id unregister_object
| __init__
    __init__ ( self )
| generate_and_register_id
    generate_and_register_id (
            self,
            obj,
            prefix='id',
            )
| generate_id
    generate_id ( self,  prefix='id' )
| get_id_of_object
    get_id_of_object ( self,  obj )
| get_object_with_id
    get_object_with_id ( self,  id )
| get_object_with_id_or_none
    get_object_with_id_or_none ( self,  id )
| is_registered_object
    is_registered_object ( self,  obj )
| register_id
    register_id (
            self,
            obj,
            id,
            )
Exceptions |
--- | ---
ValueError, "object is already registered " + str( obj )
| unregister_id
    unregister_id (
            self,
            id,
            obj,
            )
Exceptions |
--- | ---
ValueError, "id %s is not registered" % id ValueError, "id and object do not correspond"
| unregister_object
    unregister_object ( self,  obj )

Table of Contents

This document was automatically generated on Tue Dec 12 13:46:43 2006 by HappyDoc version 2.1